import { type Fragment, Node } from 'prosemirror-model';
export declare function findFirstTextblockChild(parent: Node | Fragment): {
    node: Node;
    offset: number;
} | null;
export declare const isNodeEmpty: (node: Node) => boolean;
export declare const isSelectableNode: (node: Node) => boolean;
export declare function isCodeBlock(node: Node): boolean;
export type NodeChild = {
    node: Node;
    offset: number;
    index: number;
};
export declare function getChildrenOfNode(node: Node | Fragment): NodeChild[];
export declare function getLastChildOfNode(node: Node | Fragment): NodeChild;
